[bzr branch] DeprecationWarning: the sha module is deprecated; use the hashlib module instead

Bug #420387 reported by j^
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
bittornado (Debian)
Fix Released
Unknown
bittornado (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: bittornado

bittornado uses depricated sha module. attached a patch to use hashlib instead

Related branches

Revision history for this message
j^ (j) wrote :
Ronny Cardona (rcart)
Changed in bittornado (Ubuntu):
assignee: nobody → Rcart (rcart)
Ronny Cardona (rcart)
Changed in bittornado (Ubuntu):
assignee: Rcart (rcart) → nobody
Revision history for this message
Ronny Cardona (rcart) wrote :

This bug is still in the Development Release. There's no upstream fix yet. I've worked in a branch including j^'s patch and some others issues related to lintian, and removed a CVS directory that was refusing to upload changes with bazaar.

Changed in bittornado (Ubuntu):
status: New → Confirmed
Revision history for this message
Scott Moser (smoser) wrote :

The changes look fine to me.
However, I don't think that your removal of the CVS directory will actually "stick". As I understand it, the bzr importer that maintains the lp:ubuntu/<package> branches basically does:

dget <uploaded package>
dpkg-source -x *.dsc

In doing so, the CVS dir will still be there. I'd advise to either:
 - patch it out (with a debian/patches/32-remove-CVS-dir.patch)
 - live with being unable to use debcommit

Revision history for this message
Ronny Cardona (rcart) wrote :

Scott, why is needed preserve the CVS directory in the branch? Keeping it as a patch looks great, and as you said, there's no more debcommit for that package.

Bryce Harrington (bryce)
summary: - [PATCH] DeprecationWarning: the sha module is deprecated; use the
+ [bzr branch] DeprecationWarning: the sha module is deprecated; use the
hashlib module instead
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bittornado - 0.3.18-10ubuntu1

---------------
bittornado (0.3.18-10ubuntu1) natty; urgency=low

  * debian/patches/32_use_hashlib_for_sha.patch:
    - Updated use of deprecated sha module to hashlib. (LP: #420387,
    Closes: #593653)
 -- Ronny Cardona (Rcart) <email address hidden> Mon, 24 Jan 2011 17:27:47 -0600

Changed in bittornado (Ubuntu):
status: Confirmed → Fix Released
Changed in bittornado (Debian):
status: Unknown → New
Changed in bittornado (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.